Page MenuHomeFreeBSD

x11-wm/xfce4-panel: Add DEBUG option
AbandonedPublic

Authored by koobs on Jan 13 2016, 12:57 PM.

Details

Reviewers
miwi
Group Reviewers
xfce
Summary

Proposed commit log:

x11-wm/xfce4-panel: Add DEBUG option

* Add DEBUG option to facilitate easier diagnosis of crashs by users [1]
* Group, sort and align OPTIONS_*, USE{S}, LICENSE* sections/directives
* Re-patch configure patch (makepatch compatible)

[1] https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=206196

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 2104
Build 2112: arc lint + arc unit

Event Timeline

koobs updated this revision to Diff 12258.Jan 13 2016, 12:57 PM
koobs retitled this revision from to x11-wm/xfce4-panel: Add DEBUG option.
koobs updated this object.
koobs edited the test plan for this revision. (Show Details)
koobs added reviewers: xfce, miwi.

For me the patch is rejected, because:

  • DEBUG option should be also add to others compoments, at least its dependencies (see graph on wiki page [1]).
  • In configure script debug options comes with several arguments, especially 'full', this one is more insteresting.

For cosmetic changes it's ok.

[1] https://wiki.freebsd.org/Xfce?action=AttachFile&do=view&target=xfce4.png

koobs added a comment.EditedJan 13 2016, 5:56 PM

For me the patch is rejected, because:

  • DEBUG option should be also add to others compoments, at least its dependencies (see graph on wiki page [1]).

It's perfectly fine to add a DEBUG option for an individual port, without requiring dependents to be modified (particularly and especially in the same commit)

  • In configure script debug options comes with several arguments, especially 'full', this one is more insteresting.

I looked at this, it only adds -Werror, which we dont want and enabled no other tests. min is the default (now), 'yes' is the correct (and default) value when --enable-debug is set

In D4922#104389, @koobs wrote:

For me the patch is rejected, because:

  • DEBUG option should be also add to others compoments, at least its dependencies (see graph on wiki page [1]).

It's perfectly fine to add a DEBUG option for an individual port, without requiring dependents to be modified (particularly and especially in the same commit)

And others Xfce's ports? It's not coherent. Xfce is whole, why to add new option for this one and not others?

I would agree to have this option in Xfce USES framework.

Xfce 4.12 was published almost one year ago, I doubt suddenly xfce4-panel crashes. It was tested (use) by lots of users I think (and I regularly test with some libraries from GNOME devel repository especially for GTK+3, but also GLib 2.46.x, DBus 1.10.x and 1.11.x and nothing happens).

This bug already exists on the Xfce's Bugzilla, but without resolution.

https://bugzilla.xfce.org/show_bug.cgi?id=10344
https://bugzilla.xfce.org/show_bug.cgi?id=10616
https://bugzilla.xfce.org/show_bug.cgi?id=11300

  • In configure script debug options comes with several arguments, especially 'full', this one is more insteresting.

I looked at this, it only adds -Werror, which we dont want and enabled no other tests. min is the default (now), 'yes' is the correct (and default) value when --enable-debug is set

sbruno added a subscriber: sbruno.Apr 18 2016, 8:48 PM

Is there further work to do here? It looks like this is maintainer rejected and the request is to move this feature to Mk/Uses/xfce.mk to enable DEBUG across the entire XFCE suite. Is this not correct?

koobs abandoned this revision.Jul 25 2016, 6:58 AM